package com.rjconsultores.ventaboletos.service.impl;

import java.util.Date;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.PtovtaAntifraudeDAO;
import com.rjconsultores.ventaboletos.entidad.PtovtaAntifraude;
import com.rjconsultores.ventaboletos.service.PtovtaAntifraudeService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("ptovtaAntifraudeService")
public class PtovtaAntifraudeServiceImpl implements PtovtaAntifraudeService {
	
	@Autowired
	PtovtaAntifraudeDAO ptovtaAntifraudeServiceDAO;

	@Override
	public List<PtovtaAntifraude> obtenerTodos() {
		return ptovtaAntifraudeServiceDAO.obtenerTodos();
	}

	@Override
	public PtovtaAntifraude obtenerID(Integer id) {
		return ptovtaAntifraudeServiceDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public PtovtaAntifraude suscribir(PtovtaAntifraude entidad) {
		entidad.setActivo(true);
		entidad.setFecmodif(new Date());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		return ptovtaAntifraudeServiceDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public PtovtaAntifraude actualizacion(PtovtaAntifraude entidad) {
		entidad.setFecmodif(new Date());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		return ptovtaAntifraudeServiceDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(PtovtaAntifraude entidad) {
		entidad.setActivo(false);
		entidad.setFecmodif(new Date());
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		ptovtaAntifraudeServiceDAO.actualizacion(entidad);
	}

}
